Subject: bug#16405: closed (Re: bug#16405: info on non-existent node shows raw info buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Jan 2014 08:06:03 +0000

Your bug report

#16405: info on non-existent node shows raw info buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16405: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16405
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16405: info on non-existent node shows raw info buffer
From: Juri Linkov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 13 Jan 2014 10:05:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>>   (info "(File That Does Not Exist)Node That Does Not Exist")
>>
>> It displays an empty Info buffer.  I guess it would make sense to visit
>> the Dir node in this case.
>
> Only if you are not in Info already, I hope.  Otherwise, visiting DIR
> doesn't make sense: we should stay put in the node where we were.

This is fixed now to visit DIR only if no previous node is already visited.

Subject: info on non-existent node shows raw info buffer
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 09 Jan 2014 23:54:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3

(info "(emacs)Node That Does Not Exist")

This dumps you in a raw, unformatted info buffer, which is not very
friendly. I think it should format the info buffer as normal, go to the
start, and only then return

user-error: No such node or anchor: Node That Does Not Exist